"""Included SequenceEvent flag

Revision ID: 37c1f7921b35
Revises: 5bdc013c2a92
Create Date: 2024-01-23 10:04:31.459289

"""
from typing import Sequence, Union

from alembic import op
from sqlalchemy import Boolean
from sqlalchemy import Column

# revision identifiers, used by Alembic.
revision: str = '37c1f7921b35'
down_revision: Union[str, None] = '5bdc013c2a92'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    op.add_column('PendingEvent', Column('Fifo', Boolean, nullable=False, server_default="0"))


def downgrade() -> None:
    op.drop_column('PendingEvent', 'Fifo')
